nis (4.1) unstable; urgency=medium

  * Missing docs file added.
    (closes: #980999)
  * Fixed typo in d/NEWS.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Jan 2021 12:30:12 +0100

nis (4.0) unstable; urgency=medium

   == The 'Welcome in 21th century' edition ==

  * Package split in three different new source packages. This package is now
    an arch-indep native meta-package that depends on ypserv, ypbind-mt and
    yp-tools. This has also the advantage of being the same structure used by
    other distributions. Added a pair of Provides - nis-client and nis-server
    - to be more explicit for new users.
  * All upstream software is now up-to-date.
    (closes: #800002)
  * All packages use new d-helper and policy ATM, that solve a few different
    historical issues.
    (closes: #631628, #437639, #545723)
  * The purpose of this package is helping the transition to the new
    organization of the NIS stuff. Existing configurations should be upgraded
    smoothly via postinst, or almost.
  * All debconf stuff now removed. Now administrator has to set
    /etc/defaultdomain and accurately follow the nis.debian.howto document
    provided in order to setup servers and clients for all possible cases.
    (closes: #558456, #231808)
  * All packages now use systemd units and timer, when available.
    The traditional /etc/default/nis configuration file is still
    optionally used if the admin needed to change options. This also
    solves improper start/stop in chroot.
    (closes: #589821, #256979, #890994)
  * The traditional init scripts are still provided and can be used with sysvrc
    init for flavors/administrators that prefer so.
  * The original init script is now split in yserv and ypbind-mt and removed here
    to avoid to cope with annoying warnings about missing systemd services for nis.
    The new scripts are a lot more simple and mimic the behavior of systemd
    services, i.e. start/stop daemon and nothing more. They are still controlled
    by NIS(MASTER|CLIENT) vars in /etc/default/nis.
  * All historical patches, scripts and stuff here and there have been now
    removed.
  * Now nscd | unscd is a recommendation of ypbind-mt. That implies that
    restarting those services is totally an admin's duty when maps change.
    (closes: #878625)
  * Thanks to use of systemd units, now postinst/prerm scripts in general do not
    start/stop/restart anything, but for the one time upgrade from 3.17 -> 4.0.
    All that is left to systemd. Even, in that case the scripts don't fail.
    That implies that in general ypbind shouldn't simply block an upgrade
    or remove, because they are totally controlled by admin who should
    undestand in what cases stopping ypserv could hang ypbind and PAM for
    minutes. Maintain a resilient configuration (i.e. setup multiple servers)
    in NIS is mandatory!
    Also, the admin can restart services at her/his will, and specifically
    ypbind should be stopped before a ypserv restart and then started again
    after, when servers are not redundant. That should hopefully fix the RPC
    timeouts that happen in some corner cases.
    (closes: #118023, #703667, #886331, #213733, #798339)
  * Current ypserv binds on all available interfaces. Also, ypbind honors
    loopback address in /etc/yp.conf and has eventually also a -local-only to
    bind only to localhost. No more denied messages on multi-homed hosts.
    (closes: #126177, #329382)
  * preinst/postinst should take care of a smooth upgrade from 3.17 and stop
    NIS services, then reactivate them via systemd, iff sysvrc is not in use.
  * Introduced Pre-Depends to depend on init-systems-helper >= 1.58. That's
    to use deb-systemd-invoke and do The Right Thing.
  * Systems that need to enable NIS auth via ypbind should also install
    libnss-nis, which is now separated from glibc and only recommended.
    So introduced a Recommends also in ypbind-mt.
    (closes: #979371)
  * The broadcast mode is not more the defaut for ypbind at start and should
    be deprecated, because it creates more problems than it solves.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 24 Jan 2021 12:16:28 +0100

nis (3.17.1-9) unstable; urgency=medium

  * New maintainer. (closes: #900358)
  * Added Vcs-* fields for new repo of the old stuff and next-generation one.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 27 Dec 2020 11:05:00 +0100

nis (3.17.1-8) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add -ffile-prefix-map to CFLAGS. (Closes: #977793)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 20 Dec 2020 15:59:07 -0800

nis (3.17.1-6) unstable; urgency=medium

  * QA upload.
  * debian/rules: Remove extra timestamps from the gzipped documentation
    and fix file mtimes before building the binary packages.
    (Closes: #787126). Thanks to Dhole <dhole@openmailbox.org>.
  * debian/rules: Pass BASH=/bin/bash to the ypserv configure
    script. (Closes: #977747)
  * debian/changelog: Clean up trailing whitespace.
  * debian/rules: Delete trailing whitespace.
  * Remove obsolete lintian overrides for non-etc-file-marked-as-conffile.
  * debian/rules: Replace calls to dpkg-architecture by using dpkg

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 19 Dec 2020 21:12:31 -0800

nis (3.17.1-5) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/fix_build_libnsl.patch to fix build with libnsl instead
    of glibc.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Aug 2020 17:44:25 +0200

nis (3.17.1-4) unstable; urgency=medium

  * QA upload.
  * Mark source format as quilt.
  * Import diff in quilt format.
  * Fix FTBFS. (Closes: #954525)
  * Update Standards-Version to 4.5.0
  * Add dependency on debhelper-compat.
    - Update compat level to 12.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 08 Apr 2020 19:42:24 +0100

nis (3.17.1-3) unstable; urgency=medium

  * QA upload.
  * Drop -no-dbus from YPBINDARGS= in /etc/default/nis.
    We no longer build nis with NetworkManager/D-Bus support, so setting
    this option made ypbind fail to start. (Closes: #906436)
  * Remove debian/nis.debhelper.log on clean.
  * Drop nm-tool invocation from reportbug script. This binary no longer
    exists in recent versions of NetworkManager and since NetworkManager
    support is no longer enabled, this information is no longer really
    relevant anyway.
  * Use /bin/bash to run the reportbug script as it makes use of "yesno".
    (Closes: #701484)
  * Remove obsolete shlibs.local. (Closes: #701696)
  * Fix typo "ypppasswdd" in init script. (Closes: #701483)
  * Drop outdated and no longer accessible Vcs-Bzr URL.

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Aug 2018 22:34:37 +0200

nis (3.17.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #900358.
  * Disable NetworkManager support. (Closes: #862778)
  * Add explicit Build-Depends on pkg-config as required by ypbind-mt's
    configure.ac.
  * Bump priority to optional. Since Debian Policy version 4.0.1, the priority
    extra has been deprecated.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Aug 2018 14:38:22 +0200

nis (3.17.1-1) unstable; urgency=medium

  * ypbind 1.38, reenable Network Manager support to fix systemd
    breakage killing ypbind after it daemonizes (closes: #834298).

 -- Mark Brown <broonie@debian.org>  Tue, 16 Aug 2016 11:22:19 +0100

nis (3.17-35) unstable; urgency=low

  * Bump debhelper compat version, no changes other than creating a
    compat file since no relevant interfaces changed (closes: #800305).
  * Don't use libslp-dev since it got removed, unfortunately the removal
    has been coordinated by reassigning bugs and the BTS really doesn't
    notify that well (closes: #815362).
  * Remove network manager support, it never worked well and their APIs
    changed incompatibly.

 -- Mark Brown <broonie@debian.org>  Tue, 09 Aug 2016 19:04:10 +0100

nis (3.17-34) unstable; urgency=medium

  * Make sure both characters in the salt are present before calling
    crypt() rather than just the first in yppasswd fixing operation
    with shadow passwords after a change in the behaviour of crypt()
    with invalid salts (closes: #721737).

 -- Mark Brown <broonie@debian.org>  Sat, 13 Dec 2014 11:20:12 +0000

nis (3.17-33) unstable; urgency=low

  * Use dh_autoreconf to update config.* using lightly modified patch
    from Dann Frazier (closes: #739059).
  * Add dependency on remote_fs to init script.
  * Policy 3.9.5 (no changes).

 -- Mark Brown <broonie@debian.org>  Tue, 08 Apr 2014 15:55:58 +0100

nis (3.17-32) unstable; urgency=low

  * Fix postinst version comparison (closes: #610618).
  * Updated Danish Debconf translation from Joe Dalton (closes: #587368).
  * Updated Vietnamese translation from Clytie Siddall (closes: #601920).
  * Updated Galician translation from Adrián Chaves Fernández (closes: #617380).
  * Updated Catalan translation from Innocent De Marchi (closes: #618481).
  * Updated Dutch translation from Jeroen Schot (closes: #624543).
  * Updated Brazilian Portugese translation from Eder L. Marques
    (closes: #617809).
  * Lintian has mindlessly changed the format of the output, meaning we
    can actually see the warnings but that's a bad thing.

 -- Mark Brown <broonie@debian.org>  Sun, 19 Jun 2011 11:04:03 +0100

nis (3.17-31) unstable; urgency=low

  * Run debconf-updatepo since the translation tools aren't able to do
    it for themselves (closes: #563506).
  * Ignore lintian warnings.  Papering over warnings FTW.

 -- Mark Brown <broonie@debian.org>  Sun, 03 Jan 2010 16:00:08 +0000

nis (3.17-30) unstable; urgency=low

  * Remove ypdomainname and nisdomainname binaries too (closes:
  * #546978).

 -- Mark Brown <broonie@debian.org>  Wed, 30 Sep 2009 21:23:15 +0100

nis (3.17-29) unstable; urgency=low

  * Updated Vietnamese translation of the Debconf templates, kindly
    provided by (closes: #548023).
  * The domainname progam will be moved to hostname as of version 2.98 -
    add a dependency for that (closes: #546978).

 -- Mark Brown <broonie@debian.org>  Wed, 23 Sep 2009 09:46:24 -0700

nis (3.17-28) unstable; urgency=low

  * Add Italian translation of the Debconf templates, kindly provided by
    Luca Monducci <luca.mo@tiscali.it> (closes: #544161).

 -- Mark Brown <broonie@debian.org>  Sat, 29 Aug 2009 10:42:21 +0100

nis (3.17-27) unstable; urgency=low

  * Suggest nscd.  This is likely to only be worthwhile for clients in
    very large installations with noticable load on or latency to the
    NIS server (closes: #539106).

 -- Mark Brown <broonie@debian.org>  Sun, 02 Aug 2009 13:34:12 +0100

nis (3.17-26) unstable; urgency=low

  * Updated Japanese translation of the Debconf templates, kindly
    provided by Hideki Yamane <henrich@debian.or.jp> (closes: #538239).

 -- Mark Brown <broonie@debian.org>  Sat, 25 Jul 2009 11:35:13 +0100

nis (3.17-25) unstable; urgency=low

  * Remove bashism in match_printcap, using patch from Raphael Geissert
    (closes: #530150).

 -- Mark Brown <broonie@debian.org>  Mon, 06 Jul 2009 21:24:13 +0100

nis (3.17-24) unstable; urgency=low

  * Add Slovak translation of the Debconf templates, kindly provided by
    helix84 <helix84@centrum.sk> (closes: #532964).
  * Add Russian tranlsation of the Debconf templates, kindly provided by
    Yuri Kozlov <yuray@komyakino.ru> (closes: #532946).
  * Updated German translation of the Debconf templates, kindly provided
    by Helge Kreutzmann <debian@helgefjell.de> (closes: #533036).
  * Updated French translation of the Deconf templates, kindly provided
    by Christian Perrier <bubulle@debian.org> (closes: #533136).
  * Updated Spanish translation of the Debconf templates, kindly provided
    by Francisco Javier Cuadrado <fcocuadrado@gmail.com> (closes: #533137).
  * Updated Portuguese translation of the Debconf templates, kindly
    provided by Pedro Ribeiro <p.m42.ribeiro@gmail.com> (closes: #533245).

 -- Mark Brown <broonie@debian.org>  Tue, 16 Jun 2009 22:02:35 +0100

nis (3.17-23) unstable; urgency=low

  * Apply translation-related parts of changes from DTR (closes: #530714).
  * Updated Swedish translation of the Debconf templates, kindly
    provided by Martin Bagge <brother@bsnet.se> (closes: #531314).
  * Updated Czech translation of the Debconf templates, kindly provided
    by Viktor Matys <v.matys@grumpa.net> (closes: #531542).
  * Add Finnish translation of the Debconf templates, kindly provided by
    Esko Arajärvi <edu@iki.fi> (closes: #532509).

 -- Mark Brown <broonie@debian.org>  Tue, 09 Jun 2009 22:38:04 +0100

nis (3.17-22) unstable; urgency=low

  * Updated version of the Swedish translation of the Debconf templates,
    kindly provided by Martin Bagge <brother@bsnet.se> (closes: #528572).

 -- Mark Brown <broonie@debian.org>  Fri, 15 May 2009 19:57:42 +0100

nis (3.17-21) unstable; urgency=low

  * Include updated Japanese translation of the Debconf templates,
    kindly provided by Hideki Yamane <henrich@debian.or.jp> (closes: #527916).

 -- Mark Brown <broonie@debian.org>  Sat, 09 May 2009 16:54:49 +0100

nis (3.17-20) unstable; urgency=low

  * Include updated French translation of the Debconf templates, kindly
    provided by Christian Perrier <bubulle@debian.org> (closes: #527561).

 -- Mark Brown <broonie@debian.org>  Fri, 08 May 2009 10:09:56 +0100

nis (3.17-19) unstable; urgency=low

  * Chatter when stopping services (closes: #525815).
  * Warn rather than crash on invalid input in mknetid (closes:
    #510871).
  * Fix build with Network Manager 0.7.
  * Drop XS from VCS link in debian/control.
  * Policy 3.8.1 (no changes).
  * Remove not-yet-configured prompt and reword domain name template to
    be more idiomatic.

 -- Mark Brown <broonie@debian.org>  Tue, 05 May 2009 21:56:52 +0100

nis (3.17-18) unstable; urgency=low

  * Apply patch from Didier Roche <didrocks@ubuntu-fr.org> removing the
    stop links for the init script, providing improved shutdown times by
    avoiding the need to wait for the daemons to exit (closes: #497849).
  * Use --no-limit-check by default to allow very long lines in NIS
    databases.  Thanks to Mattias Wikstrom <burke@yagrebu.net> for
    pointing this out (closes: #117907).

 -- Mark Brown <broonie@debian.org>  Sat, 14 Feb 2009 13:14:28 +0000

nis (3.17-17) unstable; urgency=low

  * Force locale for ypcat to C in order to work around errors from
    fprintf() with multi-byte characters (closes: #487104).

 -- Mark Brown <broonie@debian.org>  Tue, 26 Aug 2008 20:24:44 +0100

nis (3.17-16) unstable; urgency=low

  * Apply patch from Ubuntu to support unix_chkpwd not being root now that
    the change in PAM has finally been made (closes: #492426).
  * Disable Network Manager by default again since the experience in Ubuntu
    suggests that it is still reporting bogus states.

 -- Mark Brown <broonie@debian.org>  Sat, 26 Jul 2008 10:27:58 +0100

nis (3.17-15) unstable; urgency=low

  * Tweak reportbug script to avoid echo -e (closes: #489643).
  * Add a note about consulting your network administrator to the text
    about configuring the NIS domainname for clients (closes: #484780).

 -- Mark Brown <broonie@debian.org>  Sat, 19 Jul 2008 16:19:04 +0100

nis (3.17-14) unstable; urgency=low

  * Build depend on file (closes: #464287).

 -- Mark Brown <broonie@debian.org>  Wed, 06 Feb 2008 17:56:41 +0000

nis (3.17-13) unstable; urgency=low

  * Provide ypbind, ypserv, ypxferd and yppasswd in the LSB information in
    the init script (closes: #462737).
  * In ypxfer_XperY use the master server specified in /etc/default/nis if
    there is one or fall back to the first master returned by ypwhich -m
    otherwise so that we don't end up doing a null transfer (closes: #452480).
  * Give all ELF files to dpkg-shlibdeps.
  * Fix strip of ypserv.
  * Policy 3.7.3 (no changes).

 -- Mark Brown <broonie@debian.org>  Sun, 27 Jan 2008 20:57:59 +0000

nis (3.17-12) unstable; urgency=low

  * Reenable Network Manager support in ypbind by default.  Network Manager
    is supposed to be improved to handle these situations better.

 -- Mark Brown <broonie@debian.org>  Sun, 26 Aug 2007 13:00:55 +0100

nis (3.17-11) unstable; urgency=low

  * Include updated translation of the Brazilian Portuguese Debconf
    templates, kindly provided by Jefferson Alexandre
    <jefferson.alexandre@gmail.com> (closes: #437008).

 -- Mark Brown <broonie@debian.org>  Fri, 10 Aug 2007 20:58:37 +0100

nis (3.17-10) unstable; urgency=low

  * Add Portuguese translation of the Debconf templates, kindly provided by
    Pedro Ribeiro <p.m42.ribeiro@gmail.com> (closes: #429290).

 -- Mark Brown <broonie@debian.org>  Sat, 16 Jun 2007 21:17:46 +0100

nis (3.17-9) unstable; urgency=low

  * Now that portmap has been moved to S17 we can move NIS to S18 and avoid
    trouble with portmap (closes: #400664).
  * Support MAXUID and MAXGID in /var/yp/Makefile (closes: #421200).

 -- Mark Brown <broonie@debian.org>  Sun, 13 May 2007 21:07:23 +0100

nis (3.17-8) unstable; urgency=low

  * Update location of amd.home to match that in am-utils (closes: #419412).

 -- Mark Brown <broonie@debian.org>  Sun, 15 Apr 2007 20:09:20 +0100

nis (3.17-7) unstable; urgency=low

  * Add missing - to port argument in desciption of yppush command line
    option configuration (closes: #416275).
  * Check if the init script is there before fixing permissions or attempting
    to invoke it in case the user decided to remove it (closes: #418257).
  * Check for debconf before purging in postrm (closes: #417024).

 -- Mark Brown <broonie@debian.org>  Sat, 14 Apr 2007 13:47:36 +0100

nis (3.17-6) unstable; urgency=medium

  * Set Network Manager support to disabled in /etc/default/nis, working
    around problems caused by bogus link state reports from Network Manager
    when it is not in use.

 -- Mark Brown <broonie@debian.org>  Mon, 19 Mar 2007 22:49:30 +0000

nis (3.17-5) unstable; urgency=low

  * Add Dutch translation of the Debconf templates, kindly provided by Bart
    Cornelis <cobaco@skolelinux.no> (closes: #413893, #413898).
  * Add X-Vcs-Bzr to the control file.

 -- Mark Brown <broonie@debian.org>  Wed,  7 Mar 2007 18:47:28 +0000

nis (3.17-4) unstable; urgency=low

  * Add Galician translation of Debconf templates, kindly supplied by Jacobo
    Tarrio <jtarrio@trasno.net> (closes: #412865).

 -- Mark Brown <broonie@debian.org>  Wed, 28 Feb 2007 19:39:37 +0000

nis (3.17-3) unstable; urgency=low

  * Apply patch from Nelson A. de Oliveira <naoliv@debian.org> fixing typos in
    ypbind.8 (closes: #404910).
  * Include Spanish debconf templates translation contributed by Steve Lord
    Flaubert <stonescenter@gmail.com> (closes: #409804).
  * Report Network Manager configuration in reportbug script.

 -- Mark Brown <broonie@debian.org>  Mon,  5 Feb 2007 20:58:52 +0000

nis (3.17-2) unstable; urgency=low

  * Don't fail hard if we can't connect to the dbus at startup, instead fall
    back to the previous behaviour.  Users who wish to use Network Manager
    integration will need to arrange for ypbind to be restarted or rearrange
    their init sequence to gain any benefit (closes: #388333).
  * Fix typo of -no-dbus option in man page (closes: #388420).

 -- Mark Brown <broonie@debian.org>  Wed, 20 Sep 2006 20:52:15 +0100

nis (3.17-1) unstable; urgency=low

  * New upstream release: ypbind-mt-1.20.1.
  * This release incldues a patch from Martin Dorey <martin.dorey@bluearc.com>
    adding handling of SIGPIPE to ypbind-mt (closes: #386641).
  * Enable upstream support for Network Manager in ypbind-mt.

 -- Mark Brown <broonie@debian.org>  Mon, 18 Sep 2006 19:57:01 +0100

nis (3.16-5) unstable; urgency=low

  * Update the control file too.

 -- Mark Brown <broonie@debian.org>  Wed,  6 Sep 2006 21:26:09 +0100

nis (3.16-4) unstable; urgency=low

  * Drop dependency on sysvinit for invoke-rc.d.  Since prerm was already
    testing for it being installed provide the same fallback to invoking the
    init script directly for postinst.

 -- Mark Brown <broonie@debian.org>  Wed,  6 Sep 2006 00:04:20 +0100

nis (3.16-3) unstable; urgency=low

  * Convert init script to use LSB output functions (closes: #385717).
  * Use invoke-rc.d in prerm like we ought to.
  * Update to policy 3.7.2.
  * Remove spurious period from the nis/not-yet-configured title and run
    debconf-updatepo for the first time in a long time.  I've manually
    unfuzzed translations using the period, hope that has worked OK.
  * Fix absolute symlinks to domainname and yppasswd that should be relative.
  * Strip ypxfr.

 -- Mark Brown <broonie@debian.org>  Sat,  2 Sep 2006 22:18:27 +0100

nis (3.16-2) unstable; urgency=low

  * Add some LSB information to the init script.

 -- Mark Brown <broonie@debian.org>  Mon, 10 Jul 2006 19:29:11 +0100

nis (3.16-1) unstable; urgency=low

  * Update ypserv to 2.19.

 -- Mark Brown <broonie@debian.org>  Mon,  1 May 2006 19:59:23 +0100

nis (3.15-3) unstable; urgency=low

  * Turn off debug_flag by default in ypxfr, silencing warnings about
    endianess problems causing a fallback to enumeration.  To make sure
    diagnostics don't get lost when not invoked from yppushd output any
    output to stderr if there is an error.  The -debug command line option
    can still be used (closes: #247956).
  * Run ypbind on NIS servers too since yppush wants to use it to
    enumerate maps (closes: #228903).

 -- Mark Brown <broonie@debian.org>  Sun, 13 Nov 2005 20:07:34 +0000

nis (3.15-2) unstable; urgency=low

  * Add Swedish translation of the Debconf templates provided by Daniel
    Nylander <yeager@lidkoping.net> (closes: #332355).

 -- Mark Brown <broonie@debian.org>  Sun, 16 Oct 2005 11:49:25 +0100

nis (3.15-1) unstable; urgency=low

  * New upstream releases.
   - Update ypbind-mt to 2.19.1.
   - Update ypserv to 2.18.
  * Correct name of debconf variable used to read existing configuration
    during config (closes: #330399).
  * Don't bomb out if we are unable to obtain the hostname while trying to
    make up a default name for the domain (closes: #327224).

 -- Mark Brown <broonie@debian.org>  Fri, 30 Sep 2005 17:27:44 +0100

nis (3.14-2) unstable; urgency=low

  * Add alternative for debconf-2.0.
  * Update debconf version requirement to 0.5.
  * Policy 3.6.2 (no changes).

 -- Mark Brown <broonie@debian.org>  Wed,  3 Aug 2005 23:27:38 +0100

nis (3.14-1) unstable; urgency=low

  * New maintainer.
  * Update ypbind-mt to 2.19.
  * Update ypserv to 2.17.

 -- Mark Brown <broonie@debian.org>  Mon, 11 Jul 2005 16:27:51 +0300

nis (3.13-5) unstable; urgency=low

  * Add Vietnamese translation of the Debconf templates, kindly provided by
    Clytie Siddall <clytie@riverland.net.au> (closes: #316057).

 -- Mark Brown <broonie@debian.org>  Tue, 28 Jun 2005 22:26:52 +0100

nis (3.13-4) unstable; urgency=low

  * Include updated translation of German Debconf templates provided by Jens
    Seidel <jensseidel@users.sf.net> (closes: #313962).
  * Move sourcing of debconf after emergency restart in order to avoid hanging
    onto the debconf file descriptor when we don't want to.
  * Move domain name prompt into a newly crated config script.  Manual changes
    to /etc/defaultdomain will override any configuration in Debconf and
    /etc/defaultdomain will be regenerated each install (closes: #311416).
  * Only prompt for client configuration on first configuration rather than
    every time postinst runs.

 -- Mark Brown <broonie@debian.org>  Tue, 21 Jun 2005 22:44:13 +0100

nis (3.13-3) unstable; urgency=low

  * Add patch from Alexander Achenbach <xela@slit.de> preserving errno over
    SIGCHLD hanlders in ypserv programs other than ypserv since that already
    does so (closes: #306925).

 -- Mark Brown <broonie@debian.org>  Sun,  1 May 2005 13:58:08 +0100

nis (3.13-2) unstable; urgency=low

  * Rename start and stop functions in init script for compatiblilty with
    ksh (closes: #302821).
  * Add YPPUSHARGS above the "don't modify" warnings in the Makefile since
    users might reasonably want to specify some additional flags but be put off
    by the warnings (closes: #250923).
  * We don't build depend on autoconf.

 -- Mark Brown <broonie@debian.org>  Sun,  3 Apr 2005 12:29:38 +0100

nis (3.13-1) unstable; urgency=low

  * Update ypbind-mt to version 1.18.
  * Don't mention touching /etc/networks in the HOWTO since this is no longer
    required (closes: #290307).
  * Ask users to remove the system hostname from the localhost entry in
    /etc/hosts so that localhost doesn't get reported as the master server.
    Debian Installer sets things up this way (closes: #275885).

 -- Mark Brown <broonie@debian.org>  Sat, 15 Jan 2005 14:24:11 +0000

nis (3.12-3) unstable; urgency=low

  * Fix tyop in init script (closes: #285799).

 -- Mark Brown <broonie@debian.org>  Thu, 16 Dec 2004 12:28:30 +0000

nis (3.12-2) unstable; urgency=low

  * Add Czech translation of the Debconf templates, kindly provided by Jan
    Outrata <outrataj@upcase.inf.upol.cz> (closes: #276666).

 -- Mark Brown <broonie@debian.org>  Sat, 16 Oct 2004 13:53:32 +0100

nis (3.12-1) unstable; urgency=medium

  * Upgrade ypserv to 2.14 (fixing some resource leaks).
  * Upgrade yp-tools to 2.9.
  * Fix number of :s for shadow in the HOWTO (closes: #270454).
  * Retitle section 2 of the HOWTO and reference it at the end of section 1,
    hopefully making it easier for users to find (closes: #265153).

 -- Mark Brown <broonie@debian.org>  Sat, 18 Sep 2004 13:26:36 +0100

nis (3.11-4) unstable; urgency=high

  * memset() result structures to zero before calling clnt_call in ypxfr
    (closes: #264587).
  * Allow null YPPWDDIR (closes: #262001).

 -- Mark Brown <broonie@debian.org>  Tue, 10 Aug 2004 01:41:45 +0100

nis (3.11-3) unstable; urgency=low

  * Add Catalan translation of Debconf templates provided by Aleix Badia i
    Bosch <a.badia@callusdigital.org> (closes: #248736).

 -- Mark Brown <broonie@debian.org>  Sat, 22 May 2004 13:05:01 +0100

nis (3.11-2) unstable; urgency=low

  * Apply patch by Alex Larsson <alexl@redhat.com> adding support for MD5
    passwords to yppasswd.  This is not the ultimate fix since it doesn't
    integrate at all with PAM or cope with shadow passwords but it does go
    some way towards addressing the problems (closes: #137452, #171756).
  * Add NISMASTER option to to defaults which causes the init script to run
    ypinit before starting a slave server (closes: #87593).
  * By default exclude the nobody user and group when building maps in
    /var/yp/Makefile using a patch by Alex Larsson <alexl@redhat.com> from the
    RedHat/Fedora package.  Don't do it by defining maximum IDs since they can
    be 32 bit in this day and age (closes: #133832).
  * Pass non-standard GECOS fields through ypchfn unmodified rather than
    deleting them (closes: #146065).
  * Rather than hard coding the list of maps to transfer in ypxfr_1perday
    enumerate the maps on the server at run time.  In the other ypxfr scripts
    only transfer maps that are present (closes: #155797, #233092).
  * Add bug script to optionally include the domain name in bug reports.
  * Support noopt in DEB_BUILD_OPTIONS.
  * Updated to policy 3.6.1.

 -- Mark Brown <broonie@debian.org>  Sun, 25 Apr 2004 19:00:45 +0100

nis (3.11-1) unstable; urgency=low

  * Upgrade ypbind to version 1.17.2.
  * Upgrade ypserv to version 2.13.
  * Add libslp-dev to build deps and enable SLP support in configure.
  * Fix parsing of server names returned from SLP in ypbind.

 -- Mark Brown <broonie@debian.org>  Sat, 17 Apr 2004 14:13:19 +0100

nis (3.10-6) unstable; urgency=low

  * Include Danish translation of the Debconf templates provided by Claus
    Hindsgaul <claus_h@image.dk> (closes: #233576).

 -- Mark Brown <broonie@debian.org>  Thu, 26 Feb 2004 23:57:47 +0000

nis (3.10-5) unstable; urgency=low

  * Only display the note about requiring client configuration if we're
    configured as a client in /etc/default/nis (closes: #106963).
  * Remove /var/yp on purge (closes: #76423).
  * Include French Debconf template translation provided by Michel
    Grentzinger <mic.grentz@online.fr> (closes: #227140).
  * Include Japanese Debconf template translation provided by Hideki Yamane
    <henrich@samba.gr.jp> (closes: #229296).

 -- Mark Brown <broonie@debian.org>  Sat, 24 Jan 2004 10:41:06 +0000

nis (3.10-4) unstable; urgency=low

  * Depend on sysvinit rather than sysv-rc - that will pull in an appropriate
    startup script mechanism for us (closes: #224464).
  * Allow the user to specify additional arguments for the daemons in
    /etc/nis/default (closes: #143886).  Users can configure the default
    port for the services by specifying appropriate command line options
    to the daemons (closes: #147809).
  * Delete /etc/defaultdomain on purge (closes: #155122).
  * Update to policy 3.5.6.
  * Don't create the /usr/doc symlink any more.
  * Update copyright to refer to GPLv2 in /usr/share/common-licences.
  * Fix permissions on templates control file.
  * Delete /etc/default/nis on purge.
  * Purge debconf database when package is purged.
  * Include Section: and Priority: in the binary package.
  * Ship sample /etc/default/nis in /usr/share/nis rather than as an example
    as per policy.

 -- Mark Brown <broonie@debian.org>  Fri,  2 Jan 2004 08:29:34 +0000

nis (3.10-3) unstable; urgency=high

  * Fix initscript again. It had some /etc/network/if-{up,down}.d
    stuff in it that shouldn't be used yet. In earlier versions it
    wasn't used due to another bug that got fixed, and that
    triggered this bug (closes: #221569, #222074, #221569)
  * Convert to po-debconf (Mark Brown) (closes: #106150, #200126)
  * debian/rules fixes for non-linux (hurd, bsd) (closes: #223622)
  * Change /var/yp/securenets back to /etc/ypserv.securenets
  * Restore "mangle" functionality in ypserv (different syntax though)
    (closes: #212930)
  * Automatically convert old ypserv.conf file to new format (closes: #221497)
  * ypMakefile: set MERGE_GROUPS to false, don't build networks map.
  * Add Uploaders: field to the control file.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 16 Dec 2003 00:20:05 +0100

nis (3.10-2) unstable; urgency=low

  * Fix init.d script - it has the NISCLIENT logic wrong (closes: #221427)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 18 Nov 2003 15:05:52 +0100

nis (3.10-1) unstable; urgency=low

  * New upstream releases of ypserv, yp-tools, ypbind-mt (closes: #145546)
  * PATHMAX isn't defined on HURD, fix (closes: #218332)
  * Change tail +2 -> tail -n +2 (closes: #208375)
  * Maintainer upload, close bugs fixed by NMU (closes: #165748, #199594)
  * Change typo in rc.nis script (closes: #145715, #143873)
  * Add a NISCLIENT setting to /etc/default/nis, which defaults to true
    (closes: #138723, #160930)
  * Fix typos in nis.debian.howto (closes: #130380, #139821, #143658)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 15 Nov 2003 13:45:03 +0100

nis (3.9-6.2) unstable; urgency=high

  * Rebuilt for unstable

 -- Martin Schulze <joey@infodrom.org>  Mon, 21 Oct 2002 16:31:14 +0200

nis (3.9-6.1) stable-security; urgency=high

  * Non-maintainer upload by security team
  * Applied fix by Thorsten Kukuk to fix an information leak

 -- Martin Schulze <joey@infodrom.org>  Thu, 10 Oct 2002 09:17:47 +0200

nis (3.9-6) unstable; urgency=high

  * Official fix from upstream maintainer for "YPBIND_PROC: domain not bound"
    ypbind problem that includes a potential fix for bug #109935.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 17 Oct 2001 17:06:06 +0200

nis (3.9-5) unstable; urgency=high

  * Maintainer upload (closes: #103588)
  * Fix typo in ypMakefile (closes: #106483,#107824,#105727)
  * Fix "YPBIND_PROC: domain not bound" recurring (15 mins.) problem.
    Courtesy of Neil Brown <neilb@cse.unsw.edu.au>. Hopefully
    this also fixes bug #109935.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  9 Oct 2001 12:47:49 +0200

nis (3.9-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * copy in new config.{guess,sub} to get support for new architectures.
    Closes: #104601

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Fri, 13 Jul 2001 16:43:48 -0600

nis (3.9-4) unstable; urgency=high

  * Fix preinst not to depend on /usr/share/doc/examples/nis.default
    which ofcourse isn't there on a fresh installation.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 28 Jun 2001 14:02:52 +0200

nis (3.9-3) unstable; urgency=high

  * Update docs about /etc/init.d/nis and /etc/default/nis (closes: #98886)
  * Updated nis.debian.howto
  * Fix the debconf stuff (closes: #99966, #97693)
  * Added german tranlations (closes: #100138)
  * Also include the preinst file in the package .. now /etc/default/nis
    actually works (closes: #63171, #77090)
  * Don't stop running NIS processes during upgrade, they tend to be
    essential for functioning of the system. Just restart NIS in the postinst.
  * Fix symbolic links (closes: #99411, #97846)
  * kill running ypbinds manually if upgrading from an older
    version of the NIS package (closes: #97599)
  * Put a comment about DNS in /etc/yp.conf (closes: #96066)
  * Don't export shadow entries < MINUID (closes: #69214, #90470, #28030)
  * Set MINUID to 1000 to comply with policy (closes: #38591, #58881)
  * Up timeout on connecting to ypxfrd from 25 microsecs to 2 secs.
    25 us is really way to short - ypxfr almost always failed connecting
    to ypxfrd.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 26 Jun 2001 15:32:30 +0200

nis (3.9-2) unstable; urgency=high

  * Recompile _again_ for latest libc6 (backwards compatibility doesn't
    seem to exist anymore?) (closes: #97195)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 14 May 2001 13:06:31 +0200

nis (3.9-1) unstable; urgency=high

  * Upgrade to yp-tools-2.5, ypbind-mt-1.8, ypserv-1.3.12
  * Some people need NIS built against the latest libc (closes: #96158, #96931)
  * Typo in postinst message (closes: #78185)
  * Make maintainer scripts failsafe (closes: #77347)
  * Apply threads/signals patch so that ypbind exits on SIGTERM (closes: #83106)
  * Now uses debconf
  * fixed ypserv_conf.c - IP numbers can start with [1-9] not [0-3]
  * Fix ypserv(8) manpage (securenets file location) (closes: #94136)
  * Update ypserv.securenets example file (closes: #86762)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  9 May 2001 23:57:03 +0200

nis (3.8-3) unstable; urgency=low

  * Upload to unstable, compiled with current woody libs
  * Fixes the Alpha problems (as 3.8-2 does for stable)
  * Depends on portmap again (closes: #75267,#75511,#76942,#72132,#75124)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 14 Nov 2000 23:53:51 +0100

nis (3.8-2) stable; urgency=high

  * Upload to stable
  * This fixes the Alpha problems. This is of high urgency,
    because the old 3.7 packages still contain the security hole.
  * The Alpha problems were due to configure not reckognizing the
    system type on (certain!) Alpha's, so that the USE_BROADCAST=0
    code got compiled in which was broken. I debugged and fixed both
    problems. This might also fix brokenness on other non-i386
    platforms.
  * Updated HOWTO (closes: #76043)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 13 Nov 2000 22:38:11 +0100

nis (3.8-0.1) stable unstable; urgency=high

  * Non-maintainer upload by security team
  * Up the versionnumber since we upgrade one of our tarballs
  * Upgrade ypbindt-mt to 1.7, which is a security-fix for 1.6. This
    really fixes the printf formating security problem.
  * Upload to both stable and unstable so potato doesn't have a newer
    version anymore and woody gets the fix as well.

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 13 Oct 2000 20:08:23 +0200

nis (3.7-2potato1) stable; urgency=high

  * Upload for potato to fix security hole in ypbind

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  9 Oct 2000 13:59:08 +0200

nis (3.7-2) unstable; urgency=high

  * Update to latest ypbind-mt-1.7 because of security hole
    (syslog format string attack)
  * Apply ypserv-1.3.11a.diff because upstream maintainer says
    it's important.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  9 Oct 2000 13:45:10 +0200

nis (3.7-1) unstable; urgency=high

  * Update to latest ypserv (1.3.11)
  * Depend on portmap (closes: #72083,#72107,#72121)
  * Update yppasswd manpage (closes: #67208)
  * Well, ypbind most definitely works ;) (closes: #42903)
  * New ypMakefile since 3.6 (closes: #48465)
  * Wait for domain to get bound up to 10 secs (closes: #59799,#59892,#66574)
  * Update nis.debian.howto (closes: #60300,#60380)
  * Update netgroups manpage (closes:  #62492)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 21 Sep 2000 16:23:30 +0200

nis (3.6-2) unstable; urgency=high

  * Touch yp-tools-2.4/configure (closes: #48442)
  * Fix /var/yp/Makefile (closes: #48447)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 27 Oct 1999 11:09:42 +0200

nis (3.6-1) unstable; urgency=high

  * Same as 3.5, but compiled with glibc 2.1 for potato.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 26 Oct 1999 22:10:35 +0200

nis (3.5-1) stable; urgency=high

  * New upstream releases of ypserv (1.3.9), ypbind-mt (1.6) and yp-tools (2.4).
    These fix the security bugs present in earlier versions.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 25 Oct 1999 17:34:09 +0200

nis (3.4-2) unstable; urgency=high

  * Compiled against glibc 2.1.x, this should fix these bugs:
    #42038: nis: ypserv crashes/exits
    #42097: libc6: "clnt_call: RPC: Timed out" in nis
    #42138: nis: NIS failing - seems to have started with latest glibc
    #42531: nis problems
  * Added a patch for glibc 2.1.2preX and ypbind-mt-1.6 from Thorsten

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  6 Aug 1999 11:46:38 +0200

nis (3.4-1) unstable; urgency=high

  * New upstream version of ypserv. Hopefully this fixes the
    yp_all() bugs glibc 2.1 users have been seeing (#42138, #42097)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 31 Jul 1999 10:07:53 +0200

nis (3.3.3-1) unstable; urgency=low

  * New upstream version of yp-tools and ypbind-mt
  * Fixes bugs:
    #42028: nis: NIS-Server doesn't use /etc/shadow - feature or bug?
    #41781: direction reversed in howto
    #41778: nis.debian.howto.gz suggests editing crontab
    #40462: ypinit failed on setting up a slave server
    #40462: ypinit failed on setting up a slave server
    #29692: nis: rpc.yppasswd doesn't admit latin characters in gecos field
    #34144: NIS master doesn't update slaves
    #38010: ypbind won't bind to specified server
    #38018: -no_ping flag doesn't work for ypbind
    #42028: nis: NIS-Server doesn't use /etc/shadow - feature or bug?
    #21278: ypxfr should keep maps that it cannot get temporarily

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 28 Jul 1999 15:40:13 +0200

nis (3.3.2-1) unstable; urgency=low

  * New upstream version of yp-tools and ypbind-mt
  * Fixes bugs:
    #34618: nis: Documentation glitch
    #30580: nis should depend on make
    #28876: -O6 default optimization in nis
    #29268: 64bit fix
    #32882: nis: please do mention where you got the software
    #28183: nis with shadow passwords

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  3 May 1999 16:28:23 +0200

nis (3.3.1-1) unstable; urgency=low

  * New upstream version of ypserv
  * Fixes bugs:
    #26294: package is out of date; makedbm does not handle "\" extended lines
    #27674: nis: tab is no longer accepted as whitespace in yp.conf
    #27589: NIS servers should not need to be same architecture

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 14 Oct 1998 15:20:31 +0200

nis (3.3-1) unstable; urgency=low

  * New upstream versions of ypserv, ypbind, yp-tools.
  * Use ypbind-mt instead of ypbind-3.3. This one uses threads; do
    not be confused if you see 4 copies of ypbind running, it's only
    one process with multiple kernel-threads.
  * Fixes bugs:
    #18938: nis: package description
    #25703: nis: ypbind: detects that a copy is running (ie itself) and exits
    #25753: nis: ypbind: detects that a copy is running (ie itself) and exits
    #25754: nis: Minor mistake in /usr/lib/yp/ypinit
    #22587: Capitalization issues
    #22285: nisdomainname.8.gz should refer to domainname.8 not .1

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Oct 1998 12:46:35 +0200

nis (3.2.1-3) unstable; urgency=low

  * Now really fixes Alpha problems I hope
  * Update nis.debian.howto
  * Fixes bugs:
    #18183: nis: not updating slave server
    #18410: nis: New Alpha problem
    #18522: nis: nis fails on alpha with RPC errors
    #18638: nis: nis source includes wrong snprintf prototype
    #18689: /usr/lib/yp/ypxfr_2perday typo

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  2 Mar 1998 17:11:49 +0100

nis (3.2.1-2) unstable; urgency=low

  * Remove ypbind-3.3/rpcsvc in debian/rules, the dpkg-source
    gegerated patch file does not support removed files.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 20 Feb 1998 21:43:27 +0100

nis (3.2.1-1) unstable; urgency=low

  * Applied fix from Thorsten Kukuk for ypbind:
    - increase ping timeout to 5 seconds
    - remove binding file on shutdown
    - Fix Alpha problems
    - Fix gcc2.8 and egcs compilation problems
  * New yptools (1.4.1)
  * Fix lintian warnings/errors
  * Fixes bugs:
    #18301: on alpha nis breaks with libc6.1_2.0.7pre1
    #18183: nis: not updating slave servers
    #18266: nis source includes wrong snprintf prototype

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 20 Feb 1998 00:10:16 +0100

nis (3.2-2) unstable; urgency=low

  * Fixes:
    #17806: nis: asks for insertion of plus entries

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  4 Feb 1998 14:10:02 +0100

nis (3.2-1) unstable; urgency=medium

  * Added debian revision number
  * Upgrade to ypserv-1.2.8, which fixes a severe bug in makedbm
  * Fixes bugs:
    #17212: @/usr/bin/awk not found in /var/yp/Makefile, 'amd.home' target
    #15210: NIS implementation too wordy

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 29 Jan 1998 17:57:46 +0100

nis (3.1) unstable; urgency=low

  * Fix totally bogus diff file
  * Upgraded yp-tools to 1.4, ypserv to 1.2.7
  * Fixes bugs:
    #13333: nis: No manual for /usr/lib/yp/{makedbm,pwupdate}
    #15225: ypmatch doesn't set error code
    #15969: nis: ypchfn does not work
    #15225: ypmatch doesn't set error code

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 13 Jan 1998 15:05:02 +0100

nis (3.0-2) unstable; urgency=low

  * Fix copyright information
  * Fix comments in /etc/yp.conf

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  6 Nov 1997 14:49:17 +0100

nis (3.0-1) unstable; urgency=low

  * Update nis.debian.howto help document
  * Use new ypserv-1.2.5
  * Use yp-tools-1.2 instead of ypclients-2.2
  * Work around in ypwhich for buggy yp_maplist() in libc-5.4.33
  * User ypbind-3.3 instead of ypbind-bsd-1.15
  * Add rpc.ypxfrd to startup file
  * Fixes bugs:
    #9920: nis.debian.howto.gz has wrong details.
    #10142: Cannot set up NIS as a slave server.
    #10186: Running "make" fails under NIS.
    #10244: ypserv hangs occasionally
    #10525: nis: mknetid segfaults
    #10872: NIS and libc6
    #11007: ypbind problems with nis_2.20
    #11472: nis: NIS does not work when no server is on subnet
    #12575: nis: unchecked prompting in postinst

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  4 Nov 1997 16:40:57 +0100

nis (2.20-1) frozen unstable; urgency=high

  * Upgrade ypserv to 1.1.7 (security fix)
  * Use awk instead of mawk (Bug#8705, #7855)
  * Depend on libc5 (>= 5.4.23)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 28 Apr 1997 17:09:19 +0200

nis (2.10-1.2) unstable; urgency=high

  * Applied another patch from H.J. Lu to fix ypset.

 -- David Engel <david@sw.ods.com>  Tue, 18 Mar 1997 13:29:01 -0600

nis (2.10-1.1) unstable; urgency=high

  * Applied H.J. Lu's patches to make ypclients and ypbind work
    with libc 5.4.23.
  * Changed yppasswd to work with libc 5.4.23.

 -- David Engel <david@sw.ods.com>  Mon, 17 Mar 1997 09:03:30 -0600

nis (2.10-1) unstable; urgency=medium

  * Upgraded to ypserv-1.1.5
  * Made sure all executables are stripped
  * Fix bug in services database (wrong key)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 4 Feb 1997 17:38:43 +0100

nis (2.00-1) unstable; urgency=low

  * Upgraded to latest versions of all software
  * New source packaging
  * Added missing manpages (stubs)
  * Fixed yppasswd &c to work with shadow-like NIS server setup.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 02 Oct 1996 17:51:54 +0200
